# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'frameworks/kitemviews': '@latest-kf6'
    'frameworks/kitemmodels': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kiconthemes': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/krunner': '@latest-kf6'
    'frameworks/kdoctools': '@latest-kf6'
    'plasma/plasma-activities': '@latest-kf6'

RuntimeDependencies:
- 'on': ['Linux']
  'require':
    'sdk/selenium-webdriver-at-spi': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
